summaryrefslogtreecommitdiffstats
path: root/os-plugins/plugins/kiosk/XX_kiosk.sh
diff options
context:
space:
mode:
authorSebastian Schmelzer2009-04-07 22:25:39 +0200
committerSebastian Schmelzer2009-04-07 22:25:39 +0200
commit7a32c185228c224d5593a159d4c357d22b919df3 (patch)
tree7f0e9b76be2f9aa4e133a6079fae21fd2d9ed841 /os-plugins/plugins/kiosk/XX_kiosk.sh
parentupdated installation of OpenSuse 11.1 (diff)
downloadcore-7a32c185228c224d5593a159d4c357d22b919df3.tar.gz
core-7a32c185228c224d5593a159d4c357d22b919df3.tar.xz
core-7a32c185228c224d5593a159d4c357d22b919df3.zip
add kiosk & infoscreen plugin to trunk
git-svn-id: http://svn.openslx.org/svn/openslx/openslx/trunk@2810 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'os-plugins/plugins/kiosk/XX_kiosk.sh')
-rw-r--r--os-plugins/plugins/kiosk/XX_kiosk.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/os-plugins/plugins/kiosk/XX_kiosk.sh b/os-plugins/plugins/kiosk/XX_kiosk.sh
new file mode 100644
index 00000000..e835bed1
--- /dev/null
+++ b/os-plugins/plugins/kiosk/XX_kiosk.sh
@@ -0,0 +1,41 @@
+# Copyright (c) 2009 - OpenSLX GmbH
+#
+# This program/file is free software distributed under the GPL version 2.
+# See http://openslx.org/COPYING
+#
+# If you have any feedback please consult http://openslx.org/feedback and
+# send your feedback to feedback@openslx.org
+#
+# General information about OpenSLX can be found at http://openslx.org
+#
+# script is included from init via the "." load function - thus it has all
+# variables and functions available
+
+# check if the plugin config directory is generally available or if the client
+# configuration failed somehow
+[ -d /initramfs/plugin-conf ] || error "${init_picfg}" nonfatal
+
+# main script
+if [ -e /initramfs/plugin-conf/kiosk.conf ]; then
+ . /initramfs/plugin-conf/kiosk.conf
+
+ if [ $kiosk_active -ne 0 ]; then
+ [ $DEBUGLEVEL -gt 0 ] && echo "executing the 'kiosk' os-plugin ...";
+
+ # create new user
+ chroot /mnt useradd -s /bin/bash -m kiosk
+ cp /mnt/opt/openslx/plugin-repo/kiosk/bashrc /mnt/home/kiosk/.bashrc
+
+ # setup custom rungetty
+ mkdir -p /mnt/root/bin
+ ln -sf /opt/openslx/plugin-repo/kiosk/kgetty /mnt/root/bin/kgetty
+
+ kgettycmd="/root/bin/kgetty --autologin kiosk tty1"
+
+ /mnt/opt/openslx/plugin-repo/kiosk/setup.kgetty "$kgettycmd"
+
+ [ $DEBUGLEVEL -gt 0 ] && echo "done with 'kiosk' os-plugin ...";
+
+ fi
+
+fi \ No newline at end of file